<?php
namespace Controllers;

use Zeedhi\Framework\DTO;

class SearchunitByOperAndGrouping extends \Teknisa\GER\Controllers\TeknisaCrud
{
    protected $dataSourceName = "unitByOperAndGrouping";
    protected $environment;
    
    public function __construct($crudService, $parameterBag, $environment)
    {
        $this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->environment = $environment;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response)
    {
        $filterCriteria = $request->getFilterCriteria();
        $conditions = $filterCriteria->getConditions();
		$filterCriteria->addCondition("CDOPERADOR", $this->environment->getCdoperador());
		parent::find($request, $response);
	}
}